using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace  Back.Data.Models
{
    [PrimaryKey("FildID", "PatternID", "FildModeID")]
    public class FildModeInPattern
    {
      
        public int FildID { get; set; }
        public int PatternID { get; set; }
        public int FildModeID { get; set; }

        #region Navigation

        [ForeignKey("FildID")]
        public virtual Fild Fild { get; set; }

        [ForeignKey("PatternID")]
        public virtual Pattern pattern { get; set; }

        [ForeignKey("FildModeID")]
        public virtual FildMode FildMode { get; set; }
        #endregion
    }
}
